Find a specific text in the active document

HashCalc

HashCalc overview

HashCalc is an easy-to-use tool that allows to compute message digests, checksums and HMACs for files, as well as for text and hex strings. It offers a choice of 12 most popular hash and checksum algorithms for calculations.

Major features:

  • Support of 12 well-known and documented hash and checksum algorithms: MD2, MD4, MD5, SHA1, SHA256, SHA384, SHA512, RIPEMD160, PANAMA, TIGER, ADLER32, CRC32;

  • Support of the MD4-based hash algorithm used in many P2P applications (eDonkey, eMule, etc. );

  • Support of 2 modes of calculations: HASH/CHECKSUM and HMAC;

  • Support of 3 input data formats: files, text strings and hex strings;

  • Work with large size files.

To perform hash/checksum or HMAC calculations

  1. Run HashCalc. Bellow is represented the HashCalc window:

  2. In the Data Format box, select the type of data you want to use for calculations. HashCalc allows to perform calculations on files, text strings or hex strings.

  3. In the Data box enter the data for calculations:

    • It is a file name if 'File' Data Format is selected. Type the file name in the Data box, or use the Find File button to select the file, or drag and drop the file over the HashCalc window.

    • Or it is a string of characters if 'Text string' Data Format is selected.

    • Or it is a string of hexadecimal digits if 'Hex string' Data Format is selected.

    • To calculate the message digests / checksums for the data, the HMAC box must be unchecked.

    • To calculate the HMAC ( Keyed - Hash Message Authentication Code ) for the data

      1. Check the HMAC box.

      2. In the Key Format combo box, select the type of the key you want to use for calculations. HashCalc allows to perform calculations using text keys or hex keys.

      3. In the Key box enter the key for HMAC calculations:

        • It is a string of characters if 'Text string' Key Format is selected.

        • Or it is a string of hexadecimal digits if 'Hex string' Key Format is selected.

  5. Select the algorithms you want to use for calculations by checking the boxes with appropriate names.

  6. Click the Calculate button, or press Enter on your keyboard.

Supported hash/checksum algorithms

Hash algorithms | Hash Size (in bits)
MD2 | 128
MD4 | 128
MD5 | 128
SHA-1 | 160
SHA-2(256) | 256
SHA-2(384) | 384
SHA-2(512) | 512
RIPEMD-160 | 160
PANAMA | 256
TIGER | 192
Checksum algorithms | Checksum Size (in bits)
ADLER32 | 32
CRC32 | 32
Other hash algorithms | Hash Size (in bits)
eDonkey/eMule (MD4-based hash used in many P2P applications) | 128

HashCalc was implemented using SlavaSoft QuickHash Library

Send Feedback to SlavaSoft Inc. Tell a friend about HashCalc